## freedombox 24.8

=== Makefile ===
DJANGO_ADMIN := django-admin
INSTALL := install
PYTHON := python3
PYTEST_ARGS :=
CP_ARGS := --no-dereference --preserve=mode,timestamps --reflink=auto

ENABLED_APPS_PATH := $(DESTDIR)/usr/share/freedombox/modules-enabled

DISABLED_APPS_TO_REMOVE := \
    apps \
    coquelicot \
    diaspora \
    monkeysphere \
    owncloud \
    system \
    xmpp \
    disks \
    udiskie \
    restore \
    repro \
    tahoe \
    mldonkey

APP_FILES_TO_REMOVE := $(foreach app,$(DISABLED_APPS_TO_REMOVE),$(ENABLED_APPS_PATH)/$(app))

REMOVED_FILES := \
    $(DESTDIR)/etc/apt/preferences.d/50freedombox3.pref \
    $(DESTDIR)/etc/apache2/sites-available/plinth.conf \
    $(DESTDIR)/etc/apache2/sites-available/plinth-ssl.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-performance.conf \
    $(DESTDIR)/etc/security/access.d/10freedombox-security.conf

DIRECTORIES_TO_CREATE := \
    $(DESTDIR)/var/lib/plinth \
    $(DESTDIR)/var/lib/plinth/sessions

STATIC_FILES_DIRECTORY := $(DESTDIR)/usr/share/plinth/static
BIN_DIR := $(DESTDIR)/usr/bin

FIND_ARGS := \
    -not -iname "*.log" \
    -not -iname "*.pid" \
    -not -iname "*.py.bak" \
    -not -iname "*.pyc" \
    -not -iname "*.pytest_cache" \
    -not -iname "*.sqlite3" \
    -not -iname "*.swp" \
    -not -iname "\#*" \
    -not -iname ".*" \
    -not -iname "sessionid*" \
    -not -iname "~*" \
    -not -iname "django-secret.key"


ROOT_DATA_FILES := $(shell find data -type f $(FIND_ARGS))
MODULE_DATA_FILES := $(shell find $(wildcard plinth/modules/*/data) -type f $(FIND_ARGS))

update-translations:
	cd plinth; $(DJANGO_ADMIN) makemessages --all --domain django --keep-pot --verbosity=1

configure:
	# Nothing to do

build:
	# Compile translations
	$(DJANGO_ADMIN) compilemessages --verbosity=1

	# Build documentation
	$(MAKE) -C doc -j 8

	# Build .whl package
	$(PYTHON) -m build --no-isolation --skip-dependency-check --wheel

install:
	# Drop removed apps
	rm -f $(APP_FILES_TO_REMOVE)

	# Drop removed configuration files
	rm -f $(REMOVED_FILES)

	# Create data directories
	for directory in $(DIRECTORIES_TO_CREATE) ; do \
	    $(INSTALL) -d $$directory ; \
	done

	# Python package
	temp=$$(mktemp -d) && \
        lib_dir=$$($(PYTHON) -c 'import sysconfig; print(sysconfig.get_paths(scheme="deb_system")["purelib"])') && \
	$(PYTHON) -m pip install dist/plinth-*.whl --break-system-packages \
            --no-deps --no-compile --no-warn-script-location \
            --ignore-installed --target=$${temp} && \
        $(INSTALL) -d $(DESTDIR)$${lib_dir} && \
	rm -rf $(DESTDIR)$${lib_dir}/plinth $(DESTDIR)$${lib_dir}/plinth*.dist-info && \
        mv $${temp}/plinth $${temp}/plinth*.dist-info $(DESTDIR)$${lib_dir} && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/COPYING.md && \
	rm -f $(DESTDIR)$${lib_dir}/plinth*.dist-info/direct_url.json && \
        $(INSTALL) -D -t $(BIN_DIR) bin/plinth

	# Actions
	$(INSTALL) -D -t $(DESTDIR)/usr/share/plinth/actions actions/actions

	# Static web server files
	rm -rf $(STATIC_FILES_DIRECTORY)
	$(INSTALL) -d $(STATIC_FILES_DIRECTORY)
	cp $(CP_ARGS) --recursive static/* $(STATIC_FILES_DIRECTORY)

	# System data files
	for file in $(ROOT_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done
	for file in $(MODULE_DATA_FILES) ; do \
	    target=$$(dirname $(DESTDIR)$$(echo $${file} | sed -e 's|^plinth/modules/[^/]*/data||')) ; \
	    $(INSTALL) --directory --mode=755 $${target} ; \
	    cp $(CP_ARGS) $${file} $${target} ; \
	done

	# Documentation
	$(MAKE) -C doc install

check: check-type check-code check-doc check-tests

# Run the main test suite
check-tests:
	$(PYTHON) -m pytest $(PYTEST_ARGS)

# Tests with coverage report
check-tests-cov:
	$(PYTHON) -m pytest $(PYTEST_ARGS) --cov=plinth \
	    --cov-report=html:./htmlcov --cov-report=term

# Code quality checking using flake8
check-code:
	$(PYTHON) -m flake8 plinth actions/actions container

# Static type checking using mypy
check-type:
	$(PYTHON) -m mypy .

# Use doctest for check the wikiparser in doc directory
check-doc:
	$(PYTHON) -m doctest doc/scripts/wikiparser.py

clean:
	make -C doc clean
	rm -rf Plinth.egg-info
	find plinth/locale -name *.mo -delete

# Run basic setup for a developer environment (VM or container)
provision-dev:
	# Install newer build dependencies if any
	apt-get update
	DEBIAN_FRONTEND=noninteractive apt-get build-dep --yes .

	# Install latest code over .deb
	$(MAKE) build install

	# Reload newer systemd units, ignore failure
	-systemctl daemon-reload

	# Stop any ongoing upgrade, ignore failure
	-killall -9 unattended-upgr

	# Fix any broken packages
	dpkg --configure -a
	apt-get -f install
	apt-get update

	# Install new packages needed by essential apps. Don't uninstall
	# freedombox in case new dependencies conflict with old dependencies
	apt-mark hold freedombox
	DEBIAN_FRONTEND=noninteractive apt-get install --no-upgrade --yes \
	    $$(sudo -u plinth ./run --develop --list-dependencies)
	apt-mark unhold freedombox

	# Install additional packages
	DEBIAN_FRONTEND=noninteractive apt-get install --yes ncurses-term \
	    sshpass bash-completion

.PHONY: \
    build \
    check \
    check-code \
    check-doc \
    check-type \
    check-tests \
    check-tests-cov \
    clean \
    configure \
    install \
    provision \
    update-translations

=== doc/dev/Makefile ===
# SPDX-License-Identifier: AGPL-3.0-or-later

#
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAUTOBUILD = sphinx-autobuild
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml: Makefile
	@$(SPHINXAUTOBUILD) -b html -r "\\.#.*" $(SPHINXOPTS) "$(SOURCEDIR)" "$(BUILDDIR)/html"

=== debian/changelog ===
freedombox (24.8) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * gitweb: Fix an issue when cloning existing repository

  [ Benedek Nagy ]
  * network: Skip of bridge interfaces in connections list
  * action_utils: Add generic utils for managing podman containers
  * nextcloud: Add new app based on podman container
  * nextcloud: Add backup/restore
  * nextcloud: Add option to configure the default phone region
  * nextcloud: Configure redis caching, create static PHP file

  [ Sunil Mohan Adapa ]
  * nextcloud: Diasble app until more testing and review changes
  * zoph: Re-add a safety check when reading the setup state of the app
  * zoph: Include dbconfig configuration file in backup
  * ttrss: Include dbconfig configuration file in backup
  * ttrss: tests: functional: Uninstall during backup/restore test
  * ttrss: Improve backup and restore of the database
  * ttrss: Ensure that database is removed after uninstall
  * actions: Don't repeat action traceback in stderr
  * doc: Fetch latest manual

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Re-enable unattended-upgrade during dist-upgrade
  * diagnostics: Don't store list of app objects with results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Johannes Keyser ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 09 Apr 2024 07:24:57 -0400

freedombox (24.7) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * actions: Move most of the privileged action code to main directory
  * tests: Remove unused fixture for testing actions
  * tests: Move test configuration to plinth directory
  * tests: Merge actions related test files
  * tests: Automatically create pytest marks for apps
  * users: Add email address field when creating/updating user accounts
  * users: Add email address field during first boot
  * system: Organize items into sections
  * views: Fix alignment of close button in error messages
  * actions: Minor refactor to action error logging
  * actions: Provide HTML error message with action error
  * views: Implement a utility to easily show error message
  * middleware: Show HTML exception message as extra detail in messages
  * package: Drop special error message handling for package errors
  * backups: Adjust to changes in privileged errors
  * letsencrypt: Simplify error warning when certificate revoke fails
  * letsencrypt: Show better error messages
  * storage: Adjust to changes in privileged errors
  * letsencrypt: Remove unnecessary processing of the error messages
  * storage: Show better error message
  * upgrades: Show better error messages
  * snapshot: Show better error messages
  * package: Don't remove packages of other apps on uninstall
  * matrixsynapse: Prevent setup page from being shown during uninstall

  [ Veiko Aasa ]
  * samba: Fix Samba not accessible from IPv6 localhost ::1 address
  * samba: Disable nmbd NetBIOS service

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 25 Mar 2024 21:12:59 -0400

freedombox (24.6) unstable; urgency=medium

  [ Veiko Aasa ]
  * gitweb: Fix modifying git repositories when gitweb app is disabled
  * users: tests: Do not remove LDAP user when testing views
  * samba: Ignore non-existent users who are in freedombox-share group

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * diagnostics: Add tests for get_results
  * diagnostics: Handle TypeError when copying results
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * users: Fix creating users with initial set of groups
  * users: Minor refactor when creating django groups
  * log: Don't log with in color inside actions scripts
  * actions: Fix log message when action return can't be decoded
  * actions: When action errors out, log a better message
  * *: Add type hints for app init methods
  * *: Add type hints for diagnose method
  * action_utils: Implement method for starting a service temporarily
  * zoph: Don't fail setup if mysql installed but not running
  * wordpress: Don't fail setup if mysql installed but not running
  * app: Add ability to hide configuration form when app is disabled
  * zoph: Hide configuration form when app is disabled
  * app: views: Expose method to get enabled/disabled state and cache it
  * zoph: Don't redirect to setup page when app is disabled
  * zoph: Don't fail with backup/restore if app is disabled
  * zoph: Uninstall fully so that reinstall works
  * daemon: Added method to ensure a daemon is running in component
  * zoph: Ensure that database server is running when setting up app
  * wordpress: Fix backup, restore and uninstall when db is not running
  * wordpress: Drop database user when app is uninstalled
  * tests: functional: Uninstall app after backup and before restore
  * zoph: Restore database password to old value after restore operation
  * wordpress: tests: Uninstall app after backup and before restore
  * tests: functional: Refactor install/setup fixture for apps
  * wordpress: Fix minor issue in restoring database

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 11 Mar 2024 20:40:48 -0400

freedombox (24.5) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * container: Fix issue with missing make command on stable image
  * setup: Minor refactoring of force upgrader class instantiation
  * setup: Ensure that force upgrade won't run when app is not installed


=== debian/control ===
Source: freedombox
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 13),
 dblatex,
 dh-python,
 docbook-xsl,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap4,
 pybuild-plugin-pyproject,
 python3-all:any,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-build,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 5.0.0),
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy for future versions
# of django-axes.
 python3-django-ipware (>= 3),
 python3-django-stronghold (>= 0.3.0),
 python3-flake8,
 python3-gi,
 python3-markupsafe,
 python3-mypy,
 python3-openssl,
 python3-pampy,
 python3-paramiko,
 python3-pip,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-runner,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-setuptools-git,
# python3-tomli is not available in Bullseye
 python3-tomli | python3-coverage (<< 6.0),
 python3-typeshed,
 python3-yaml,
 sshpass,
 xmlto,
 xsltproc
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/freedombox-team/freedombox
Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
Rules-Requires-Root: no

Package: freedombox
Breaks:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse (<< 3),
# If ufw is installed, remove it. See issue 2247.
 ufw,
Replaces:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Architecture: all
Provides: plinth
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 curl,
 debconf,
 dnsutils,
 e2fsprogs,
 fonts-fork-awesome,
 fonts-lato,
# sgdisk is used in storage app to expand GPT disks
 gdisk,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
# For gdbus used to call hooks into service
 libglib2.0-bin,
 libjs-bootstrap4,
 libjs-jquery,
 libjs-modernizr,
 lsof,
 netcat-openbsd,
 network-manager,
# Ensure that nscd is installed rather than unscd.
 nscd (>= 2),
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 5.0.0),
 python3-django-captcha,
# Explictly depend on ipware as it is optional dependecy for future versions
# of django-axes.
 python3-django-ipware (>= 3),
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-pampy,
 python3-paramiko,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-systemd,
 python3-yaml,
 sudo,
 wget,
# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
 fuse3 (>= 3),
Recommends:
# Priority: standard
 bzip2,
# Provides brctl for controlling bridges
 bridge-utils,
# Read, write to char devices
 devio,
# Create, repair DOS filesystems
 dosfstools,
# Priority: standard
 file,
# Wifi firmware
 firmware-ath9k-htc,
# FreedomBox documentation
 freedombox-doc-en,
 freedombox-doc-es,
# Provide entropy using HAVEGE algorithm
 haveged,
# Monitor system resources
 htop,
# Monitor network traffic statistics
 iftop,
# Basic network utitlity ping
 iputils-ping,
# Manage wireless devices
 iw,
# Resolve gateway.localhost
 libnss-gw-name,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Priority: standard
 pciutils,
# Used by unattended-upgrades to check if running on AC power
 powermgmt-base,
# fuser, pstree and other utilities
 psmisc,
# Manage /etc/resolv.conf
 resolvconf,
# Tool to kill WLAN, Bluetooth and moble broadband
 rfkill,
# Monitor network traffic
 tcpdump,
# Basic editor, VIM style
 vim-tiny,
# Priority: standard
 whois,
# Basic editor, Emacs style
 zile,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

Package: freedombox-doc-en
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (English)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the English user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

Package: freedombox-doc-es
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: easy to manage, privacy oriented home server - user manual (Spanish)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package contains the Spanish user manual in HTML and PDF formats. It
 describes how to setup and use each application in FreedomBox and FreedomBox
 itself. It is accessible from Help menu in the FreedomBox web interface.

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - FreedomBox configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-apps 2> /dev/null
Restrictions: needs-root

#
# Run unit and integration tests on installed files.
#
Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli | python3-coverage (<< 6.0), @

## freedombox 24.13

=== debian/changelog ===
freedombox (24.13) unstable; urgency=medium

  [ Tymofii Lytvynenko ]
  * Translated using Weblate (Swedish)
  * Translated using Weblate (Czech)
  * Translated using Weblate (Ukrainian)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Jun 2024 20:44:51 -0400

freedombox (24.12) unstable; urgency=medium

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gfbdrgng ]
  * Translated using Weblate (Russian)
  * Translated using Weblate (Russian)

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Jun 2024 20:35:33 -0400

freedombox (24.11) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))
  * Translated using Weblate (Chinese (Traditional))

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 20 May 2024 20:34:48 -0400

freedombox (24.10) unstable; urgency=medium

  [ Veiko Aasa ]
  * storage: Add an option to include help text to directory selection form
  * minidlna: Add media directory selection form
  * minidlna: Explicitly include ssdp service to firewall configuration
  * minidlna: Do not proxy minidlna web interface over Apache
  * minidlna: Restart app when upgrading to reconfigure firewall

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ James Valleroy ]
  * diagnostics: Add optional component_id to DiagnosticCheck
  * app, component: Add repair method
  * setup: Add method to run app repair
  * diagnostics: Change "Re-run setup" to "Try to repair"
  * letsencrypt: Re-obtain certificates during repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * letsencrypt: Remove unused imports
  * nextcloud: Use systemd generator for creating container service
  * nextcloud: Create network using systemd generator
  * nextcloud: Drop network namespacing in container, use host network
  * nextcloud: Use php-fpm container instead of apache container
  * nextcloud: Wait on init sync lock
  * nextcloud: Pull the image separately before starting systemd unit
  * nextcloud: Ship instead of create cron timer related units
  * nextcloud: Restart container when dependent services are restarted
  * nextcloud: Allow re-running setup
  * nextcloud: Implement enable/disable container
  * nextcloud: Enable pretty URLs without /index.php in them
  * notification: Handle more formatting errors
  * nextcloud: Allow re-running setup when app is disabled
  * nextcloud: Populated and maintain a list of trusted domains
  * nextcloud: Enable app with experimental warning
  * nextcloud: Warn that community provides the container not team
  * nextcloud: Add fallback for when quadlet is not available

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 May 2024 21:00:03 -0400

freedombox (24.9) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Joseph Nuthalapati ]
  * tests: functional: Disable functional tests

  [ Ray Kuo ]
  * Translated using Weblate (Chinese (Traditional))

  [ Sunil Mohan Adapa ]
  * nextcloud: Rename the systemd service names
  * nextcloud: Add network interface to firewall zone after creating it
  * nextcloud: Refactor container creation code
  * nextcloud: Fix configuring trusted proxies setting
  * nextcloud: Drop a repeated creation of systemd service file
  * nextcloud: Connect to mysql using socket instead of TCP
  * nextcloud: Fail on errors when configuring the app
  * nextcloud: Improve check used to test if installation wizard is done
  * nextcloud: Improve setting up LDAP configuration
  * nextcloud: Ensure that database is running when running setup
  * nextcloud: Don't fail uninstall if DB or user do not exist
  * action_utils, nextcloud: Make podman util more generic
  * nextcloud: Improve database permission granting
  * nextcloud: Connect to redis using Unix socket
  * nextcloud: Connect to slapd for LDAP using Unix socket
  * nextcloud: Refactor setting admin password
  * nextcloud: Don't show incorrect phone region when it is not set
  * nextcloud: Minor refactoring
  * nextcloud: Retrieve database password in a more robust way
  * nextcloud: Don't set password on redis server
  * nextcloud: Use a separate DB for redis
  * nextcloud: Use secrets module generate passwords
  * nextcloud: Minor changes to cron timer units
  * nextcloud: When backup fails, unset the maintenance mode
  * nextcloud: Remove fail2ban jail, brute force protection present
  * nextcloud: Expand on the warning about container usage
  * nextcloud: Add warning that the app is experimental
  * nextcloud: Minor update to description regarding users' usage
  * nextcloud: Allow backup/restore when app is disabled


## freedombox 24.14

=== debian/changelog ===
freedombox (24.14) unstable; urgency=medium

  [ John Doe ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * diagnostics: Add option for automatic repair
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Sunil Mohan Adapa ]
  * container: Allow podman containers to run inside the container

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 01 Jul 2024 20:44:53 -0400

## freedombox 24.18

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,8 @@
     -not -iname ".*" \
     -not -iname "sessionid*" \
     -not -iname "~*" \
-    -not -iname "django-secret.key"
+    -not -iname "django-secret.key" \
+    -not -iwholename "*/.mypy_cache/*"
 
 
 ROOT_DATA_FILES := $(shell find data -type f $(FIND_ARGS))
@@ -69,6 +70,7 @@
 	$(MAKE) -C doc -j 8
 
 	# Build .whl package
+	rm -f dist/plinth-*.whl
 	$(PYTHON) -m build --no-isolation --skip-dependency-check --wheel
 
 install:

=== debian/changelog ===
freedombox (24.18) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Petter Reinholdtsen ]
  * featherwiki, tiddlywiki: Remove redundant </p> in template
  * Translated using Weblate (Norwegian Bokmål)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Czech)
  * Translated using Weblate (Telugu)
  * d/control: Remove haveged as it no longer relevant on latest kernels
    (Closes: #961733)
  * *.md, pyproject.toml: Update default branch from 'master' to 'main'
  * d/control: Don't recommend libnss-gw-name (Closes: #877935, #1069240)
  * doc/dev: Update copyright year
  * doc/dev: Fix Django related errors with auto-documentation
  * doc/dev: Limit table of contents depth to 2 for clarity

  [ gallegonovato ]
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Spanish)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Joseph Nuthalapati ]
  * ttrss: Remove unavailable Android client - org.fox.tttrss

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ James Valleroy ]
  * upgrades: Add diagnostic for held packages
  * locale: Update translation strings
  * debian: Set gbp default branch to main
  * doc: Fetch latest manual

  [ Veiko Aasa ]
  * plinth: Fix translating app operations

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 26 Aug 2024 20:25:43 -0400

freedombox (24.17) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Sunil Mohan Adapa ]
  * gitweb: Don't backup/restore a drop-in configuration file
  * tests: functional: Allow submitting form buttons along with inputs
  * tests: functional: Name the background fixture
  * nextcloud: Redirect to URL nextcloud/ if ending slash is not given
  * nextcloud: Prevent process restart when nextcloud is uninstalled
  * nextcloud: tests: functional: Add base and interface tests
  * rssbridge: tests: Add missing __init__.py
  * base.html: Drop dependency on modernizr.js library
  * apache: Enable dav and dav_fs modules
  * COPYING.md: Update copyright years
  * featherwiki: Fix a type check failure
  * makefile: Don't fail while building and installing multiple versions
  * actions: Define and allow a new alias for str; secret_str
  * bepasty: Mark secret strings in privileged actions
  * ssh: Mark secret strings in privileged actions
  * pagekite: Mark secret strings in privileged actions
  * nextcloud: Mark secret strings in privileged actions
  * mumble: Mark secret strings in privileged actions
  * miniflux: Mark secret strings in privileged actions
  * shadowsocks: Mark secret strings in privileged actions
  * shadowsocksserver: Mark secret strings in privileged actions
  * mediawiki: Mark secret strings in privileged actions
  * ikiwiki: Mark secret strings in privileged actions
  * users: Mark secret strings in privileged actions
  * backups: Mark secret strings in privileged actions
  * actions: Log arguments without secret strings in privileged calls
  * actions: Add error when likely parameters are not marked as secret
  * django: settings: Don't set USE_L10N on newer versions
  * templates: Fix warning about using default.html for form template

  [ Joseph Nuthalapati ]
  * featherwiki: Add new app
  * featherwiki: Proxy download through freedombox.org
  * tiddlywiki: Add new app

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * storage: Add diagnostic for grub config issue
  * firewall: Setup inter-zone forwarding
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Aug 2024 22:07:34 -0400

freedombox (24.16) unstable; urgency=medium

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Joseph Nuthalapati ]
  * miniflux: Add new app
  * miniflux: Fix regression in creating admin user
  * miniflux: Fix error handling for reset password
  * readme: Mention the AGPLv3+ license
  * miniflux: Trim error messages when creating user

  [ Sunil Mohan Adapa ]
  * miniflux: Drop postgres-contrib package as it seem redundant
  * miniflux: Add list of client apps from upstream clients list
  * miniflux: Remove a spurious error message after resetting password
  * miniflux: Fix issues with running the CLI in a pseudo-terminal
  * miniflux: tests: functional: Fix failing tests when run out of order
  * miniflux, ttrss: Factor out duplicated postgres utility methods
  * tests: functional: Handle click failure when waiting for page update
  * tests: functional: Handle obscured elements when submitting forms

  [ Ricky From Hong Kong ]
  * Translated using Weblate (Chinese (Traditional))

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ bittin1ddc447d824349b2 ]
  * Translated using Weblate (Swedish)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jul 2024 22:02:09 -0400

freedombox (24.15) unstable; urgency=medium

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ John Doe ]
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified))

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ Dietmar ]
  * Translated using Weblate (German)

  [ Joseph Nuthalapati ]


=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  python3-openssl,
  python3-pampy,
  python3-paramiko,
+ python3-pexpect,
  python3-pip,
  python3-psutil,
  python3-pytest,
@@ -100,7 +101,6 @@
  libglib2.0-bin,
  libjs-bootstrap4,
  libjs-jquery,
- libjs-modernizr,
  lsof,
  netcat-openbsd,
  network-manager,
@@ -126,6 +126,7 @@
  python3-markupsafe,
  python3-pampy,
  python3-paramiko,
+ python3-pexpect,
  python3-psutil,
  python3-requests,
  python3-ruamel.yaml,
@@ -151,8 +152,6 @@
 # FreedomBox documentation
  freedombox-doc-en,
  freedombox-doc-es,
-# Provide entropy using HAVEGE algorithm
- haveged,
 # Monitor system resources
  htop,
 # Monitor network traffic statistics
@@ -161,8 +160,6 @@
  iputils-ping,
 # Manage wireless devices
  iw,
-# Resolve gateway.localhost
- libnss-gw-name,
 # Resolve .local address using mDNS
  libnss-mdns,
 # Resolve current hostname without /etc/hosts

## freedombox 24.22

=== debian/changelog ===
freedombox (24.22) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * apache2: Allow popups to have different sandbox policy
  * firstboot: Improve the setup complete page with more setups
  * firstboot: Hide navigation toggler in mobile layouts
  * firstboot: Make logo image responsive during first setup
  * firstboot: Show spinner instead of message during first setup
  * css: Fix height of navbar in mobile layout during first boot
  * css: Navbar styling fixes in mobile layout
  * upgrades: Remove step upgrade during first setup
  * networks: Remove first boot steps for connectivity/topology
  * upgrades: Show notification to remind user to run updates manually
  * first_boot: Allow the next steps page to be revisited
  * first_boot: Add notification for next steps after first setup
  * wordpress: tests: functional: Fix tests on Trixie
  * calibre: tests: functional: Fix occasional failure in add book test
  * ci: Generalize script to update container, switch to podman
  * ci: Dockerfile: Drop obsolete dependency on pytest-bdd
  * ci: Rename Dockerfiles to Containerfiles
  * ci: Add docker container for functional-tests:stable
  * ci: Add gitlab runner configuration
  * ci: Add a custom driver for gitlab runner for podman
  * .gitlab-ci.yml: Update for new infrastructure
  * ci: Update functional test timeout to 10h
  * *: tags: Adjust tags and style
  * context_processors: Use active menu urls to decide what to highlight
  * help, system: Stop using submenu.sorted_items
  * context_processors: Stop adding unused 'submenu' to context
  * tags: css: Minor styling cleanups
  * tags: js: Minor fixes and refactoring
  * tests: functional: Create utility to set user preferred locale
  * tags: Localization fixes
  * tests: functional: Add package for printing test failures instantly
  * ci: Enable showing test failures immediately as they fail
  * help: tests: Fix tests failing due to tags related changes
  * *: Remove unused imports to fix flake8 errors
  * nextcloud: Fix install failure due to PrivateTmp=yes
  * utils: Improve safe formatter by handling more cases
  * operation: Use safe formatter for translating messages
  * middleware: Show translated error messages when operation completes
  * setup: Translate errors when installing/updating/repairing apps

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * syncthing: Fix app setup in Debian testing
  * ssh: Start server after nslcd service

  [ Joseph Nuthalapati ]
  * backups: Use new utility for handling file uploads
  * *: Implements tags for apps

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Ihor Hordiichuk ]
  * Translated using Weblate (Ukrainian)

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Oct 2024 20:42:43 -0400

freedombox (24.21) unstable; urgency=medium

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * samba: Remove option to backup app
  * functional tests: Upgrade dependencies selenium and splinter
  * transmission: tests: Fix functional test failures in Debian testing

  [ Sunil Mohan Adapa ]
  * storage: Skip tests that involve loopback device in a container
  * action_utils: Introduce utility to move uploaded files
  * kiwix: Don't leave invalid .zim in library after a failed attempt
  * actions: Handle exceptions with Path-like objects
  * names: Introduce method to check if resolved is installed
  * privacy: Disable DNS fallback option if resolved is not installed
  * networks: Disable DNS-over-TLS option if resolved is not installed
  * networks: Don't show DNS-over-TLS when resolved is not installed
  * names: Perform resolve diagnostics only if resolved is installed
  * names: Don't show resolver status if package is not installed
  * names: Don't control resolved daemon when package is not installed
  * names: Try to install systemd-resolved during app setup
  * names: Schedule a task to install systemd-resolved when possible
  * names: Don't hard depend on systemd-resolved
  * action_utils: Fix missing parent folder when creating apt hold flag
  * nextcloud: Fix existing installs to upgrade properly
  * nextcloud: During upgrade wait properly for upgrade to complete

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ Joseph Nuthalapati ]
  * django: Improve handling of file uploads
  * kiwix: Use new utility for handling uploads
  * featherwiki: Use new utility for handling uploads
  * tiddlywiki: Avoid writing duplicate temporary files

  [ Benedek Nagy ]
  * locale: Albanian: Fix build issue by correcting typo

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 07 Oct 2024 20:37:52 -0400

freedombox (24.20.1) unstable; urgency=medium

  [ Veiko Aasa ]
  * users: Inactivate users in LDAP user database
  * samba: Fix nmb systemd service is in erroneous state

  [ Sunil Mohan Adapa ]
  * users: Set proper class on default password policy object
  * users: Increment app version for changes w.r.t. inactive users
  * security: Remove PAM configuration for 'access' module

  [ James Valleroy ]
  * Revert "debian: tests: Wait for systemd-resolved to be started"
  * ci: Run autopkgtest but allow failure
  * d/tests: Add breaks-testbed restriction
  * doc: Fetch latest manual

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]


=== debian/control ===
--- 
+++ 
@@ -104,8 +104,6 @@
  lsof,
  netcat-openbsd,
  network-manager,
-# Ensure that nscd is installed rather than unscd.
- nscd (>= 2),
  ppp,
  pppoe,
  python3-apt,
@@ -178,8 +176,6 @@
  powermgmt-base,
 # fuser, pstree and other utilities
  psmisc,
-# Manage /etc/resolv.conf
- resolvconf,
 # Tool to kill WLAN, Bluetooth and moble broadband
  rfkill,
 # Monitor network traffic

## freedombox 24.23

=== Makefile ===
--- 
+++ 
@@ -176,6 +176,11 @@
 	    $$(sudo -u plinth ./run --develop --list-dependencies)
 	apt-mark unhold freedombox
 
+	# DNS resolution may be broken by upgrade to systemd-resolved. See
+	# #1079819 and ##1032937.
+	-systemctl restart systemd-resolved
+	-nmcli general reload dns-rc
+
 	# Install additional packages
 	DEBIAN_FRONTEND=noninteractive apt-get install --yes ncurses-term \
 	    sshpass bash-completion

=== debian/changelog ===
freedombox (24.23) unstable; urgency=medium

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ 大王叫我来巡山 ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ 109247019824 ]
  * Translated using Weblate (Bulgarian)

  [ Besnik Bleta ]
  * Translated using Weblate (Albanian)

  [ Veiko Aasa ]
  * users: Delete or move home folder when user is deleted or renamed
  * functional tests: Add pytest testinfra plugin
  * users: tests: functional: Check LDAP information is correct after renaming user

  [ Ettore Atalan ]
  * Translated using Weblate (German)

  [ Jiří Podhorecký ]
  * Translated using Weblate (Czech)

  [ James Valleroy ]
  * ejabberd: Set mod_mam default to always
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Drop python3-flake8 build dependency

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Norwegian Bokmål)
  * middleware: tests: Drop some obsolete mock code
  * backups: Better explanation for the format of upload file
  * backups: Sort list of apps in backup, restore, and schedules
  * ui: Increase the width of app and system listings
  * system: Increase the size of items in listing page
  * ui: Don't bold titles in card lists
  * ui: Move app names below app icons
  * ui: Remove the noise background
  * ui: Remove the border around content container
  * help: Make about page available to unauthenticated users
  * help: Add all footer links to about page
  * index: Remove links and about text and link to about page
  * base: Add link to about for unauthenticated users
  * index: css: Move the 'powered by' logo further down

  [ gallegonovato ]
  * Translated using Weblate (Spanish)

  [ Coucouf ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 04 Nov 2024 20:37:01 -0500

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
 # of django-axes.
  python3-django-ipware (>= 3),
  python3-django-stronghold (>= 0.3.0),
- python3-flake8,
  python3-gi,
  python3-markupsafe,
  python3-mypy,

=== debian/tests/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 #   - Module inititailzation for essential modules
 #
 Test-Command: plinth --list-apps 2> /dev/null
-Restrictions: needs-root
+Restrictions: needs-root, breaks-testbed
 
 #
 # Run unit and integration tests on installed files.
 #
 Test-Command: PYTHONPATH='/usr/lib/python3/dist-packages/' py.test-3 -p no:cacheprovider --cov=plinth --cov-report=html:debci/htmlcov --cov-report=term
 Depends: git, python3-openssl, python3-pytest, python3-pytest-cov, python3-pytest-django, python3-tomli | python3-coverage (<< 6.0), @
+Restrictions: breaks-testbed
